#
# spec file for package libexpat0
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libexpat0
Version:        1.95.8
Release:        128.3
Url:            http://expat.sourceforge.net/
Summary:        XML Parser Toolkit
License:        MIT and Apache-2.0
Group:          Development/Libraries/C and C++
Source0:        expat-%{version}.tar.bz2
Source1:        baselibs.conf
Patch0:         expat-%version.diff
Patch1:         expat-CVE-2009-2625.patch
Patch2:         expat-CVE-2009-3560.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Expat is an XML 1.0 parser written in C. It aims to be fully
conformant. It is currently not a validating XML processor. The current
production version of expat can be downloaded from
ftp://ftp.jclark.com/pub/xml/expat.zip. The directory xmltok contains a
low-level library for tokenizing XML. The interface is documented in
xmltok/xmltok.h. The directory xmlparse contains an XML parser library
that is built on top of the xmltok library. The interface is documented
in xmlparse/xmlparse.h. The directory sample contains a simple example
program using this interface. The directory sample/build.bat is a batch
file to build the example using Visual C++. The directory xmlwf
contains the xmlwf application, which uses the xmlparse library. The
arguments to xmlwf are one or more files to check for well-formedness.
An option -d dir can be specified. For each well-formed input file, the
corresponding canonical XML is written to dir/f, where f is the
filename (without any path) of the input file. A -x option causes
references to external general entities to be processed. A -s option
makes documents that are not stand-alone cause an error (a document is
considered stand-alone if it is intrinsically stand-alone because it
has no external subset and no references to parameter entities in the
internal subset or it is declared as stand-alone in the XML
declaration).



Authors:
--------
    James Clark <jjc@jclark.com>

%prep
%setup -q -n expat-%version
%patch0
%patch1
%patch2

%build
%configure --disable-static --with-pic
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm doc/xmlwf.1
rm -f $RPM_BUILD_ROOT{%_bindir/xmlwf,%_includedir/expat*,%_libdir/libexpat.{a,la},%_libdir/libexpat.so,%_mandir/man1/xmlwf.1}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/libexpat.so.0
%{_libdir}/libexpat.so.0.5.0

%changelog
* Thu Feb 28 2013 cfarrell@suse.com
- license update: MIT and Apache-2.0
  No relevant GPL-2.0 files found
* Thu Feb 28 2013 coolo@suse.com
- update license to new format
* Fri Mar 16 2012 jengelh@medozas.de
- Remove redundant tags/sections
- Enable parallel build with %%_smp_mflags
* Fri Feb 19 2010 prusnak@suse.cz
- fix CVE-2009-2625 [bnc#550664]
- fix CVE-2009-3560 [bnc#566434]
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-* errors
* Tue Apr 17 2007 prusnak@suse.cz
- renamed package to libexpat0 [#260214]
* Mon Apr 10 2006 hvogel@suse.de
- delte everything except the libs [#164677]
* Sun Apr  9 2006 hvogel@suse.de
- rename old expat package to compat-expat1 [#164677]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 ro@suse.de
- fixed file list for debuginfo package (do not pack all of libdir)
* Wed Nov 10 2004 ro@suse.de
- fixed filelist
* Mon Aug  9 2004 tcrhak@suse.cz
- update to 1.95.8
* Thu Feb  5 2004 kukuk@suse.de
- Build as user
* Thu Feb  5 2004 tcrhak@suse.cz
- update to version 1.95.7
* Tue Feb 18 2003 tcrhak@suse.cz
- in expat.h, declare enum XML_Status before using it;
  put into patch "...-header.diff" [bug #23742]
* Mon Feb 17 2003 tcrhak@suse.cz
- updated to version 1.95.6
* Sun Dec 22 2002 tcrhak@suse.cz
- update to version 1.95.5
* Sat Jul 13 2002 tcrhak@suse.cz
- update to version 1.95.4
* Thu Mar 28 2002 tcrhak@suse.cz
- added parameter --target to configure
* Mon Jan 14 2002 rvasice@suse.cz
- use %%{_libdir} and %%{_lib}
* Tue Nov 20 2001 rvasice@suse.cz
- fix URL in spec file
* Wed Aug 15 2001 rvasice@suse.cz
- update to version 1.95.2
- spec file cleanup
- added DESTDIR
* Mon May 14 2001 pblaha@suse.cz
- fixed links for soname of libexpat.so*
* Fri May 11 2001 cihlar@suse.cz
- fixed soname of libexpat.so.1.2
* Fri Jan  5 2001 pblaha@suse.cz
- back on stable version 1.2  added build shared libexpat.so
* Thu Jan  4 2001 pblaha@suse.cz
- update on 1.95.1 on sourgeforge needed for midgard
- new description
* Thu Mar  9 2000 ke@suse.de
- Don't "install" symlinks; use "cp"; reported by bs; proposed fix
  by ro.
- Cleanup the spec file: better Group tag; more accurate files list.
* Tue Nov 23 1999 ke@suse.de
- first SuSE package: version 1.1.
- apply Debian patch to build shared libs.
- build libexpat.a.
